_LinphoneVTable Struct Reference
Initialization and destruction

`#include <linphonecore.h>`

## Data Fields

ShowInterfaceCb | show
InviteReceivedCb | inv_recv
ByeReceivedCb | bye_recv
NotifyPresenceReceivedCb | notify_presence_recv
NewUnknownSubscriberCb | new_unknown_subscriber
AuthInfoRequested | auth_info_requested
DisplayStatusCb | display_status
DisplayMessageCb | display_message
DisplayUrlCb | display_url
CallLogUpdated | call_log_updated
TextMessageReceived | text_received
GeneralStateChange | general_state
DtmfReceived | dtmf_received
ReferReceived | refer_received
BuddyInfoUpdated | buddy_info_updated
NotifyReceivedCb | notify_recv

## Detailed Description

This structure holds all callbacks that the application should implement.

## Field Documentation

ShowInterfaceCb _LinphoneVTable::show

Notifies the application that it should show up

InviteReceivedCb _LinphoneVTable::inv_recv

Notifies incoming calls

ByeReceivedCb _LinphoneVTable::bye_recv

Notify calls terminated by far end

NotifyPresenceReceivedCb _LinphoneVTable::notify_presence_recv

Notify received presence events

NewUnknownSubscriberCb _LinphoneVTable::new_unknown_subscriber

Notify about unknown subscriber

AuthInfoRequested _LinphoneVTable::auth_info_requested

Ask the application some authentication information

DisplayStatusCb _LinphoneVTable::display_status

Callback that notifies various events with human readable text.

DisplayMessageCb _LinphoneVTable::display_message

Callback to display a message to the user

DisplayUrlCb _LinphoneVTable::display_url

Callback to display a warning to the user

CallLogUpdated _LinphoneVTable::call_log_updated

Notifies that call log list has been updated

TextMessageReceived _LinphoneVTable::text_received

A text message has been received

GeneralStateChange _LinphoneVTable::general_state

State notification callback

DtmfReceived _LinphoneVTable::dtmf_received

A dtmf has been received received

ReferReceived _LinphoneVTable::refer_received

A refer was received

BuddyInfoUpdated _LinphoneVTable::buddy_info_updated

a LinphoneFriend's BuddyInfo has changed

NotifyReceivedCb _LinphoneVTable::notify_recv

Other notifications

The documentation for this struct was generated from the following file:

- linphonecore.h